// =====================================================================
//  $Id: TStreamableObject.cc,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#include "TStreamableObject.hh"

TStreamableObject::TStreamableObject( Tobject_t objecttype, const Tstring& id )
  : theObjectType( objecttype ), theID( id )
{;}

TStreamableObject::TStreamableObject( const TStreamableObject& right )
  : theObjectType( right.theObjectType ), theID( right.theID )
{;}

TStreamableObject::~TStreamableObject()
{;}

const TStreamableObject& TStreamableObject::operator=( const TStreamableObject& right )
{
  theObjectType = right.theObjectType;
  theID = right.theID;
  return( *this );
}

Tbool TStreamableObject::operator==( const TStreamableObject& right ) const
{
  if ( theObjectType == right.theObjectType && theID == right.theID ) {
    return( Ttrue );
  } else {
    return( Tfalse );
  }
}

Tbool TStreamableObject::operator!=( const TStreamableObject& right ) const
{
  if ( theObjectType != right.theObjectType || theID != right.theID ) {
    return( Ttrue );
  } else {
    return( Tfalse );
  }
}
